#ifndef CAMERA_H
#define CAMERA_H

#include "mathclass.h"

class Camera {
public:
	Vector CamPosition;
	Vector Direction;
	Vector UpVector;
	Vector Side;
	double Teta,Psi;

public:
	Camera(void);
	Camera(double x,double y,double z);
	~Camera(void);
	void DefineVal(Vector Pos,Vector Dir);
	void TranslateCam(float In_Out,float Left_Right);
	void RotateCam(double Teta,double Psi);
	Vector ShakeIt(double Teta,double Psi);
	void CameraView(void);
	
};

#endif