// ParticleManager.cpp: implementation of the CParticleManager class.
//
//////////////////////////////////////////////////////////////////////

#include "ParticleManager.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CParticleManager::CParticleManager(Terrain* ptr)
{
	terrenoptr=ptr;
}

CParticleManager::~CParticleManager()
{

}

void CParticleManager::AddSystem(CParticleSystem* system) {
	assert(system);
	system->terreno=terrenoptr;
	Systems.push_back(system);
}

void CParticleManager::Update(float delta) {
	std::list<CParticleSystem*>::iterator loop;
	loop=Systems.begin();
	while (loop != Systems.end()) {
		if (!(*loop)->Update(delta)) {
			delete (*loop);
			Systems.erase(loop);
		}
		++loop;
	}
}
