// Ray.cpp: implementation of the CRay class.
//
//////////////////////////////////////////////////////////////////////

#include "Ray.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CRay::CRay(Vector& o, Vector& d) {
	origin=o;
	direction=d;
}

CRay::CRay(const CRay& r) {
	origin=r.origin;
	direction=r.direction;
	destination=r.destination;
}

CRay::CRay(Vector& o) {
	origin=o;
}

CRay::~CRay() {
}

Vector CRay::AtPos(double t) {
	return Vector(origin+(t*direction));
}