// ParticleManager.h: interface for the CParticleManager class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PARTICLEMANAGER_H__72B7B355_82BD_4025_9EFD_3CDBCDC5DE8A__INCLUDED_)
#define AFX_PARTICLEMANAGER_H__72B7B355_82BD_4025_9EFD_3CDBCDC5DE8A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <assert.h>
#include <list>
#include <iostream>

#include "ParticleSystem.h"

class Terrain;

class CParticleManager  
{
protected:
	std::list<CParticleSystem*> Systems;
	Terrain* terrenoptr;
public:
	void AddSystem(CParticleSystem* system);

	void Update(float delta);

	CParticleManager(Terrain* ptr);
	virtual ~CParticleManager();
};

#endif // !defined(AFX_PARTICLEMANAGER_H__72B7B355_82BD_4025_9EFD_3CDBCDC5DE8A__INCLUDED_)
