// Ray.h: interface for the CRay class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RAY_H__5FDBA9E8_FF1D_4563_BE66_9788F4CC24CE__INCLUDED_)
#define AFX_RAY_H__5FDBA9E8_FF1D_4563_BE66_9788F4CC24CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "mathclass.h"

class CRay  
{
protected:
   Vector origin;
   Vector direction;
   Vector destination;
public:
	Vector& Origin(void) {
		return origin;
	}
	Vector& Direction(void) {
		return direction;
	}
	Vector& Destination(void) {
		return destination;
	}
	void Origin(Vector& o) {
		origin=o;
	}
	void Direction(Vector& d) {
		direction=d;
		direction.Normalize();
	}
	void Destination(Vector& d) {
		destination=d;
		Direction(d);
	}
	Vector AtPos(double t);

	CRay(Vector& o);
	CRay(Vector& o, Vector& d);
	CRay(const CRay& r);
	~CRay();
};

#endif // !defined(AFX_RAY_H__5FDBA9E8_FF1D_4563_BE66_9788F4CC24CE__INCLUDED_)
